Subject: Re: flush cache according to 'preferred life time'

From: Gao feng <[email-masked]>
Date: Mon, 23 Jul 2012 17:44:39 +0800

于 2012年07月23日 16:36, BALAKUMARAN KANNAN 写道:
> Than you Gao-san. Your patch is helpful. I will try that. Also I am facing another problem. Tahi test case section nd test case 145 is failing if gc_interval is 30. The test case is as follows
>  * The tester node (tn) sends RA with curhoplimit 64
>  * tn sends a ICMP_REQUEST and checks the ICMP_REPLY from nut is having hoplimit 64. (it is fine in my case)
>  * Then the tn sends a RA with curhoplimit 0. (It should be ignored)
>  * Then again tn sends ICMP_REQUEST and checks the ICMP_REPLY from nut whether the hoplimit remains 64 (but it changes to 255 if cache is present. But once I changed the gc_interval to 1, this testcase passes)
> Can you please explain what is the reason. 
> 

Hi

Can you test with the last kernel?
Maybe this bug has been fixed too.

Thanks